#ifndef XGFXDRAWSURF_H
#define XGFXDRAWSURF_H

#include "xasset.h"
#include "xgfxdrawsurffields.h"

class XGfxDrawSurf : public XAsset
{
public:
    explicit XGfxDrawSurf();
    ~XGfxDrawSurf();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    XGfxDrawSurfFields mFields;
};

#endif // XGFXDRAWSURF_H








